Bug 1023049 - Switching to VT and back changes resolution to 640x400
Switching to VT and back changes resolution to 640x400
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: spice (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 09:49 EDT by Kamil Páral
Modified: 2015-05-31 15:02 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-31 15:02:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug demonstration video (407.12 KB, video/ogg)
2013-10-24 09:49 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2013-10-24 09:49:43 EDT
Created attachment 815789 [details]
bug demonstration video

Description of problem:
When I boot into Fedora 20 GNOME LiveCD and switch to tty2 and back, the resolution changes to 640x400 (as reported by xrandr). It doesn't happen always, but mostly. If I do it several times, I am able to reproduce it always.

During the back-to-GUI switch, this is printed to system journal:
> kernel: kvm: zapping shadow pages for mmio generation wraparound

When edit my VM properties and change Spice to VNC, the problem disappears.

Version-Release number of selected component (if applicable):
guest:
F20 Beta TC5 Live Desktop x86_64
kernel-3.11.5-302.fc20.x86_64
xorg-x11-drv-qxl-0.1.1-0.14.20130703git8b03ec16.fc20.x86_64
spice-vdagent-0.14.0-5.fc20.x86_64
spice-glib-0.20-5.fc20.x86_64
spice-gtk3-0.20-5.fc20.x86_64

host:
Fedora 20
kernel-3.11.5-302.fc20.x86_64
spice-server-0.12.4-2.fc20.x86_64
spice-gtk-python-0.21-3.fc20.x86_64
spice-gtk-0.21-3.fc20.x86_64
spice-gtk3-0.21-3.fc20.x86_64
spice-glib-0.21-3.fc20.x86_64
xorg-x11-drv-qxl-0.1.1-0.14.20130703git8b03ec16.fc20.x86_64
libvirt-1.1.3-2.fc20.x86_64
libvirt-client-1.1.3-2.fc20.x86_64
libvirt-daemon-1.1.3-2.fc20.x86_64
libvirt-daemon-config-network-1.1.3-2.fc20.x86_64
libvirt-daemon-config-nwfilter-1.1.3-2.fc20.x86_64
libvirt-daemon-driver-interface-1.1.3-2.fc20.x86_64
libvirt-daemon-driver-libxl-1.1.3-2.fc20.x86_64
libvirt-daemon-driver-lxc-1.1.3-2.fc20.x86_64
libvirt-daemon-driver-network-1.1.3-2.fc20.x86_64
libvirt-daemon-driver-nodedev-1.1.3-2.fc20.x86_64
libvirt-daemon-driver-nwfilter-1.1.3-2.fc20.x86_64
libvirt-daemon-driver-qemu-1.1.3-2.fc20.x86_64
libvirt-daemon-driver-secret-1.1.3-2.fc20.x86_64
libvirt-daemon-driver-storage-1.1.3-2.fc20.x86_64
libvirt-daemon-driver-uml-1.1.3-2.fc20.x86_64
libvirt-daemon-driver-vbox-1.1.3-2.fc20.x86_64
libvirt-daemon-driver-xen-1.1.3-2.fc20.x86_64
libvirt-daemon-kvm-1.1.3-2.fc20.x86_64
libvirt-glib-0.1.7-2.fc20.x86_64
libvirt-python-1.1.3-2.fc20.x86_64
virt-manager-0.10.0-4.git79196cdf.fc20.noarch
virt-manager-common-0.10.0-4.git79196cdf.fc20.noarch

How reproducible:
90% (100% with several retries)

Steps to Reproduce:
1. create a VM in virt-manager
2. boot F20 Live
3. switch to tty2 and back
Comment 1 Kamil Páral 2013-10-24 09:51:03 EDT
The guest system journal prints this during the switch:

Oct 24 09:50:01 localhost systemd[1]: Starting Getty on tty2...
Oct 24 09:50:01 localhost systemd[1]: Started Getty on tty2.
Oct 24 09:50:01 localhost spice-vdagentd[695]: closed vdagent virtio channel
Oct 24 09:50:02 localhost kernel: input: spice vdagent tablet as /devices/virtual/input/input5
Oct 24 09:50:02 localhost spice-vdagentd[695]: opening vdagent virtio channel
Oct 24 09:50:03 localhost kernel: input: spice vdagent tablet as /devices/virtual/input/input6
Comment 2 Fedora Admin XMLRPC Client 2014-03-17 05:25:55 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2015-05-29 05:37:48 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Cole Robinson 2015-05-31 15:02:36 EDT
I haven't seen this with f21 or f22 host/VM combos, so closing as CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.